import { Network, SignOnlySigner, SignedTx, Signer, UnsignedTransaction } from "@wormhole-foundation/connect-sdk";
import { Account, Algodv2 } from "algosdk";
import { AlgorandChains } from "../types";
export declare function getAlgorandSigner(rpc: Algodv2, mnemonic: string): Promise<Signer>;
export declare class AlgorandSigner<N extends Network, C extends AlgorandChains = "Algorand"> implements SignOnlySigner<N, C> {
    private _chain;
    private _debug;
    _account: Account;
    constructor(_chain: C, _rpc: Algodv2, mnemonic: string, _debug?: boolean);
    chain(): C;
    address(): string;
    sign(unsignedTxns: UnsignedTransaction[]): Promise<SignedTx[]>;
}
//# sourceMappingURL=signer.d.ts.map